##### Predefinitions #####

%define name		mplayer_sh
%define srcname		mplayer.sh
%define version		0.8.7
%define release		%mkrel 1

##### Header #####
Summary:	mplayer scripts for vdr-plugin-mplayer
Name:		%{name}
Version:	%{version}
Release:	%{release}
BuildArch:	noarch
Source0:	%{srcname}-%{version}.tar.bz2
Patch0:		MUde-config.patch
License:	GPL
Group:		Video
URL:		http://batleth.sapienti-sat.org/projects/VDR/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	vdr-plugin-mplayer

##### Description #####
%description
This package provides the mplayer.sh script and its configuration file needed for playing files using vdr-plugin-mplayer.

##### Prep, build and install #####
%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/%{_prefix}/bin
cp mplayer.sh ${RPM_BUILD_ROOT}/%{_prefix}/bin/mplayer.sh
cp mplayer.sh.conf ${RPM_BUILD_ROOT}/%{_prefix}/bin/mplayer.sh.conf


%clean
rm -rf %{buildroot}

##### Files #####
%files
%defattr(-,root,root,0755)
%{_bindir}/mplayer.sh
%attr(644,root,root) %{_bindir}/mplayer.sh.conf

##### Changelog #####
%changelog
* Fri Sep 14 2008 Oliver Burger <rpm@mandrivauser.de> 0.8.7-1mud2008.1
- Innitial package for Mandrivalinux 2008.1
- fixed some PATHs and Mandriva-specific configurations
- fixed configuration for dvd playing
